
Core - Bug # 52204

Epic # 68397 (In Progress): Make TYPO3 work with MySQL strict mode

Status: Rejected Priority: Must have
Author: Stefan Neufeind Category:
Created: 2013-09-24 Assigned To:
Updated: 2015-07-20 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: SQL error: Incorrect integer value: '' for column 'backend_layout
Description

SQL error: 'Incorrect integer value: '' for column 'backend_layout' at row 1' (pages:NEW12345)

This happens for me on master when trying to create a new page either by drag-n-drop in the page-tree or the new-wizard.

Related issues:
related to Core - Bug # 52206: Default-values for text-fields Resolved 2013-09-24
related to Core - Task # 54883: Document that TYPO3 CMS is not compatible wit... Resolved 2014-01-09
related to Core - Bug # 18866: Cannot create page with Mysl in strict mode (S... Rejected 2008-05-28

History
#1 - 2013-09-24 00:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24007

#2 - 2013-09-24 00:42 - Stefan Neufeind

for 4.5/4.7 this is in: t3lib/stddb/tbl_pages.php

It didn't occur to me on regular installations, so I wonder if maybe newer MySQL-releases are a bit more picky about trying to set an empty string for a
integer-column. But it's wrong with trying to set a string there anyhow ...
Happened to me locally with Fedora 19 using mariadb-server-5.5.32-8.fc19

#3 - 2013-09-24 01:17 - Stefan Neufeind

Turns out that from recent system-environment-testing I still had "sql-mode = STRICT_ALL_TABLES" in my.cnf. Removing that makes the problem go
away. Still fix it since it's "wrong"?

#4 - 2013-10-24 18:37 - Stefan Neufeind
- Status changed from Under Review to Rejected
https://review.typo3.org/24007


Only happens with "sql-mode = STRICT_ALL_TABLES" which is not suggested. Georg mentioned on gerrit that the new dataproviders might/will/...
work with strings anyway then. Not needed to have this patch.

#5 - 2014-02-10 11:24 - Axel Dörfler

Any chance to reconsider this decision for older version? It's no help for current (even LTS) users to keep this bug around. MySQL, and MariaDB are
configured in strict mode by default.

#6 - 2014-02-10 11:57 - Axel Dörfler

An alternative solution would be to be able to set the SQL_MODE for the session from within Typo3 -- it may not always be possible to influence the
global SQL_MODE that is used on hosting solutions.

#7 - 2014-02-10 12:27 - Stefan Neufeind

Hmm, default on your hosting-environment or really a MySQL-default? Do you know since what versions?

#8 - 2014-04-21 23:59 - Patrik Nasfors

Strict mode is a MySQL default on Windows at least since version 5.0.

#9 - 2014-05-19 12:59 - Jörg Wagner

Strict mode is also the default on Mac when using the current MySQL installer packages (mysql-5.6.17-osx10.7-x86_64.dmg).

#10 - 2015-07-20 19:40 - Morton Jonuschat
- Parent task set to #68397
